cURL
curl https://api.aiql.io/patterns/ptn_6e4c/instances/{instanceId} \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
instance = client.patterns.instances.get("ptn_6e4c", "ins_1a2b")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const instance = await client.patterns.instances.get("ptn_6e4c", "ins_1a2b");{
"instance": {
"id": "<string>",
"name": "<string>",
"summary": "<string>",
"confidence": 123,
"completeness": 123,
"status": "<string>",
"member_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source_document_ids": [
"<string>"
]
},
"members": [
{
"id": "<string>",
"slot_key": "<string>",
"entity_label": "<string>",
"name": "<string>",
"confidence": 123,
"source_document_id": "<string>",
"source_database": "<string>",
"source_entity_id": "<string>",
"class_name": "<string>",
"properties": {},
"shape": "<string>",
"render_as": "<string>"
}
],
"links": [
{
"source_id": "<string>",
"target_id": "<string>",
"slot_key": "<string>",
"label": "<string>",
"confidence": 123,
"source_document_id": "<string>",
"source_relationship_id": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Patterns
Get Pattern Instance
GET
/
patterns
/
{id}
/
instances
/
{instanceId}
cURL
curl https://api.aiql.io/patterns/ptn_6e4c/instances/{instanceId} \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
instance = client.patterns.instances.get("ptn_6e4c", "ins_1a2b")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const instance = await client.patterns.instances.get("ptn_6e4c", "ins_1a2b");{
"instance": {
"id": "<string>",
"name": "<string>",
"summary": "<string>",
"confidence": 123,
"completeness": 123,
"status": "<string>",
"member_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source_document_ids": [
"<string>"
]
},
"members": [
{
"id": "<string>",
"slot_key": "<string>",
"entity_label": "<string>",
"name": "<string>",
"confidence": 123,
"source_document_id": "<string>",
"source_database": "<string>",
"source_entity_id": "<string>",
"class_name": "<string>",
"properties": {},
"shape": "<string>",
"render_as": "<string>"
}
],
"links": [
{
"source_id": "<string>",
"target_id": "<string>",
"slot_key": "<string>",
"label": "<string>",
"confidence": 123,
"source_document_id": "<string>",
"source_relationship_id": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.